<script setup lang="ts">
import type { Checkstock } from '@/types/CheckStock'
import { type Ref, inject, ref, computed } from 'vue'
import { useUSPaperStore } from '@/stores/uspaper'
import type { CheckstockItem } from '@/types/CheckStockItem'

const props = defineProps<{
  modelValue: boolean
  checkstock: Checkstock
  checkstockitem: CheckstockItem[]
}>()
const emit = defineEmits<{
  'update:modelValue': [boolean]
  agree: []
}>()
const value = computed({
  get() {
    return props.modelValue
  },
  set(value) {
    emit('update:modelValue', value)
  }
})
const dialog = ref(false)
const uspaperStore = useUSPaperStore()
</script>

<template>
  <v-icon size="small" color="blue-accent-4" class="me-2" @click="dialog = !dialog">
    mdi-eye-check-outline
  </v-icon>

  <v-dialog v-model="dialog" persistent width="auto">
    <v-card>
      <v-row align="center">
        <v-col>
          <v-img src="src\assets\DcoffeeLogo.png" width="70px" style="margin-left: 15px"> </v-img>
        </v-col>
        <p style="margin-right: 270px; font-size: 13px">
          D-Coffee <br />
          สาขามหาวิทยาลัยบูรพา <br />
          โทรศัพท์ 099-999-9999
        </p>
      </v-row>
      <v-card-text>
        <v-sheet>
          <p style="font-size: 15px">หมายเลขใบเช็คสินค้า : {{ checkstock.id }}<br /></p>
          พนักงาน : {{ checkstock.user?.name }} <br />
          <div style="text-align: center">--------------------------------------------------</div>
        </v-sheet>
      </v-card-text>
      <v-table>
        <thead>
          <tr>
            <td>#</td>
            <td>Name</td>
            <td>Min</td>
            <td>Balance</td>
            <td>Status</td>
            <td>Unit</td>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item, index) of checkstock.checkstockItems" :key="item.id">
            <td>{{ index + 1 }}</td>
            <td>{{ item.name }}</td>
            <td>{{ item.min }}</td>
            <td>{{ item.balance }}</td>
            <td>{{ item.status }}</td>
            <td>{{ item.unit }}</td>
          </tr>
        </tbody>
      </v-table>
      <v-btn
        color="blue-darken-1"
        variant="text"
        @click="
          () => {
            dialog = false
          }
        "
        >ปิด</v-btn
      >
    </v-card>
  </v-dialog>
</template>

<style>
.billtitle {
  font-family: 'Kanit';
  font-size: 20px;
  font-weight: bold;
  text-align: right;
}

.text-left {
  text-align: left;
}
</style>
